@keyframes hover-color {
  from {
    border-color: #c0c0c0; }
  to {
    border-color: #00b1c6; } }

@keyframes hover-color2 {
  from {
    border-color: #c0c0c0; }
  to {
    border-color: #c0c0c0; } }

.magic-radio {
  position: relative;
  display: none; }

  .magic-radio[disabled] {
    cursor: not-allowed;

  }

  .magic-radio + label {
    position: relative;
    display: block;
    padding-left: 10px;
    height: 20px;
    cursor: pointer;
    vertical-align: middle;

  }
  .magic-radio + label:hover:before {
    animation-duration: 0.4s;
    animation-fill-mode: both;
    animation-name: hover-color;
  }

  .magic-radio + label:before {
    position: relative;
    top: 0;
    left: 0;
    display: inline-block;
    width: 13px;
    height: 13px;
    content: '';
    border: 1px solid #c0c0c0;
  }

  .magic-radio + label:after {
      position: relative;
      display: none;
      content: '';
  }

  .magic-radio[disabled] + label,
  .magic-checkbox[disabled] + label {
    cursor: not-allowed;
    color: #e4e4e4;
  }

  .magic-radio[disabled] + label:hover,
  .magic-radio[disabled] + label:before,
  .magic-radio[disabled] + label:after,
  .magic-checkbox[disabled] + label:hover,
  .magic-checkbox[disabled] + label:before,
  .magic-checkbox[disabled] + label:after {
    cursor: not-allowed;
  }

  .magic-radio[disabled] + label:hover:before,
  .magic-checkbox[disabled] + label:hover:before {
    border: 1px solid #e4e4e4;
    animation-name: none;
  }

  .magic-radio[disabled] + label:before,
  .magic-checkbox[disabled] + label:before {
    border-color: #e4e4e4;
  }

  .magic-radio:checked + label:before {
    animation-name: none;
    }

  .magic-radio:checked + label:after{
    display: block;
  }

  .magic-radio + label:before {
    border-radius: 50%;
  }

  .magic-radio + label:after {
    top: -16px;
    left: -2px;
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background: #00b1c6;
    }

  .magic-radio:checked + label:before {
    border: 1px solid #c0c0c0;
  }

  .magic-radio:checked[disabled] + label:before {
    border: 1px solid #c9e2f9;
  }

  .magic-radio:checked[disabled] + label:after {
    background: #c9e2f9;
  }

/*--for search page --*/

  .search-radio {
    position: relative;
    display: none;
  }

  .search-radio[disabled] {
    cursor: not-allowed;
  }

  .search-radio + label {
    position: relative;
    display: block;
    padding-left: 10px;
    height: 20px;
    cursor: pointer;
    vertical-align: middle;
  }
  .search-radio + label:hover:before {
    animation-duration: 0.4s;
    animation-fill-mode: both;
    animation-name: hover-color2;
  }

  .search-radio + label:before {
    position: relative;
    top: 0;
    left: 0;
    display: inline-block;
    width: 15px;
    height: 15px;
    content: '';
    border: 1px solid #c0c0c0;
    vertical-align: middle;
  }

  .search-radio + label:after {
    position: relative;
    display: none;
    content: '';
  }

  .search-radio[disabled] + label {
    cursor: not-allowed;
    color: #e4e4e4;
  }

  .search-radio[disabled] + label:hover,
  .search-radio[disabled] + label:before,
  .search-radio[disabled] + label:after {
    cursor: not-allowed;
  }
  .search-radio[disabled] + label:hover:before {
    border: 1px solid #e4e4e4;
    animation-name: none;
  }

  .search-radio[disabled] + label:before{
    border-color: #e4e4e4;
  }

  .search-radio:checked + label:before {
    animation-name: none;
  }

  .search-radio:checked + label:after{
    display: block;
  }

  .search-radio + label:before {
    border-radius: 50%;
  }

  .search-radio + label:after {
    top: -14px;
    left: -2px;
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background: #00b1c6;
    vertical-align: middle;
  }

  .search-radio-fields + label:after {
    top: -15px;
   
  }

  .search-radio-options + label:after {
    top: -17px;
   
  }

  .search-radio:checked + label:before {
    border: 1px solid #c0c0c0;
  }

  .search-radio:checked[disabled] + label:before {
    border: 1px solid #c9e2f9;
  }

  .search-radio:checked[disabled] + label:after {
    background: #c9e2f9;
  }

  /*--for search MetaData --*/

  .meta-radio {
    position: relative;
    display: none; }

  .meta-radio[disabled] {
    cursor: not-allowed;
  }

  .meta-radio + label {
    position: relative;
    display: block;
    padding-left: 10px;
    height: 20px;
    cursor: pointer;
    vertical-align: middle;
  }
  .meta-radio + label:hover:before {
    animation-duration: 0.4s;
    animation-fill-mode: both;
    animation-name: hover-color2;
  }

  .meta-radio + label:before {
    position: relative;
    top: 0;
    left: 0;
    display: inline-block;
    width: 15px;
    height: 15px;
    content: '';
    border: 1px solid #c0c0c0;
    vertical-align: middle;
  }

  .meta-radio + label:after {
    position: relative;
    display: none;
    content: '';
  }

.meta-radio[disabled] + label {
  cursor: not-allowed;
  color: #e4e4e4;
}

.meta-radio[disabled] + label:hover,
.meta-radio[disabled] + label:before,
.meta-radio[disabled] + label:after {
  cursor: not-allowed;
}
.meta-radio[disabled] + label:hover:before {
  border: 1px solid #e4e4e4;
  animation-name: none;
}

.meta-radio[disabled] + label:before{
  border-color: #e4e4e4;
}

.meta-radio:checked + label:before {
  animation-name: none;
}

.meta-radio:checked + label:after{
  display: block;
}

.meta-radio + label:before {
  border-radius: 50%;
}

.meta-radio + label:after {
  top: -15px;
  left: -1.789px;
  width: 11px;
  height: 11px;
  border-radius: 50%;
  background: #00b1c6;
  vertical-align: middle;
}

.meta-radio:checked + label:before {
  border: 1px solid #c0c0c0;
}

.meta-radio:checked[disabled] + label:before {
  border: 1px solid #c9e2f9;
}

.meta-radio:checked[disabled] + label:after {
  background: #c9e2f9;
}
